LibreOffice: ImageMap Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | List of all members
ImageMap Service Referencepublished

This service specifies a HTML image map. More...

`import"ImageMap.idl";`

Inheritance diagram for ImageMap:

## Exported Interfaces
interface | ::com::sun::star::container::XNamed
| an ImageMap can, optionally, have a name. More...
interface | ::com::sun::star::container::XIndexContainer
| this container interface gives access to the objects inside this image map. More...

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index. More...
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index. More...
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

This service specifies a HTML image map.

## Exported Interfaces

## ◆ ::com::sun::star::container::XIndexContainer

interface ::com::sun::star::container::XIndexContainer

this container interface gives access to the objects inside this image map.

See also
  ImageMapRectangleObject
  ImageMapCircleObject
  ImageMapPolygonObject

## ◆ ::com::sun::star::container::XNamed

interface ::com::sun::star::container::XNamed

an ImageMap can, optionally, have a name.

The documentation for this service was generated from the following file:

- com/sun/star/image/ImageMap.idl